package types

import (
	tea "github.com/charmbracelet/bubbletea"

	"wartank/pkg/alias"
)

// IWinBase -- базовое окно для терминального клиента
type IWinBase interface {
	// Desk -- возвращает терминальный клиент
	Desk() IDesktop
	// Name -- возвращает собственное имя
	Name() alias.AWinName
	// Init -- инициализирует окно для бабл-теа
	Init() tea.Cmd
}
